### Struct

# Camel ServiceAuthType

#### Description

    struct CamelServiceAuthType {
      const gchar* name;
      const gchar* description;
      const gchar* authproto;
      gboolean need_password;
    }

No description available.

###### Structure members

`name:` `const gchar*`

  No description available.

`description:` `const gchar*`

  No description available.

`authproto:` `const gchar*`

  No description available.

`need_password:` `gboolean`

  No description available.

#### Instance methods

###### camel_service_auth_type_copy

Copies the `service_auth_type` struct. Does nothing and returns the given object in reality, needed for the introspection.

since: 3.24

###### camel_service_auth_type_free

Frees the `service_auth_type` struct. Does nothing in reality, needed for the introspection.

since: 3.24